org.springframework.http.converter.feed

## Class RssChannelHttpMessageConverter

- java.lang.Object
- - org.springframework.http.converter.AbstractHttpMessageConverter<T>
  - - org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter<com.sun.syndication.feed.rss.Channel>
    - - org.springframework.http.converter.feed.RssChannelHttpMessageConverter

All Implemented Interfaces:
  HttpMessageConverter<com.sun.syndication.feed.rss.Channel>

    public class RssChannelHttpMessageConverter
    extends AbstractWireFeedHttpMessageConverter<com.sun.syndication.feed.rss.Channel>

Implementation of `HttpMessageConverter` that can read and write RSS feeds. Specifically, this converter can handle `Channel` objects, from the ROME project.

By default, this converter reads and writes the media type (`application/rss+xml`). This can be overridden by setting the `supportedMediaTypes` property.

Since:
  3.0.2
Author:
  Arjen Poutsma
See Also:
  `Channel`

### Field Summary

### Fields inherited from class org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter

`DEFAULT_CHARSET`

### Fields inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`logger`

### Constructor Summary

Constructors
Constructor and Description
`RssChannelHttpMessageConverter()`

### Method Summary

Methods
`protected boolean` `supports(Class<?> clazz)` Indicates whether the given class is supported by this converter.

### Methods inherited from class org.springframework.http.converter.feed.AbstractWireFeedHttpMessageConverter

`readInternal, writeInternal`

### Methods inherited from class org.springframework.http.converter.AbstractHttpMessageConverter

`canRead, canRead, canWrite, canWrite, getContentLength, getDefaultContentType, getSupportedMediaTypes, read, setSupportedMediaTypes, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RssChannelHttpMessageConverter

    public RssChannelHttpMessageConverter()

### Method Detail

#### supports

    protected boolean supports(Class<?> clazz)

Description copied from class: `AbstractHttpMessageConverter`
Indicates whether the given class is supported by this converter.

Specified by:
  `supports` in class `AbstractHttpMessageConverter<com.sun.syndication.feed.rss.Channel>`
Parameters:
  `clazz` - the class to test for support
Returns:
  `true` if supported; `false` otherwise